Bug 745550 - Devices files are not fully setup when executing a non-interactive command.
Summary: Devices files are not fully setup when executing a non-interactive command.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: mock
Version: el6
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Clark Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-12 17:01 UTC by Davi Arnaut
Modified: 2011-11-26 23:07 UTC (History)
2 users (show)

Fixed In Version: mock-1.1.17-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-24 22:59:57 UTC
Type: ---


Attachments (Terms of Use)

Description Davi Arnaut 2011-10-12 17:01:09 UTC
Description of problem:

Certain dev files/directories, such as /dev/shm, are not setup/mounted when --chroot is suplied to run a command non-interactively within the chroot.

Version-Release number of selected component (if applicable):

1.1.15

How reproducible:

Always.

Steps to Reproduce:
1. mock --chroot cat /proc/mounts
  
Actual results:

/dev/shm is not mounted.

Expected results:

/dev/shm should be mounted.

Comment 1 Clark Williams 2011-10-12 22:27:42 UTC
Davi,

I've reworked the --shell and --chroot commands pretty heavily for mock-1.1.16 so that they all do the same thing wrt device/directory/file setup. I'll probably kick off a koji build tomorrow so when it hits, please try it and see if it fixes your problems (I suspect it will).

Comment 2 Davi Arnaut 2011-10-13 11:10:34 UTC
Clark,

Thanks. BTW, are these changes pushed to the git master branch? If yes, it's not fixed then.

A snippet of the patch I applied locally to fix this issue:

@@ -749,17 +750,16 @@ def main(ret):
         chroot.tryLockBuildRoot()
         chroot._resetLogging()
         try:
+            chroot._setupDev(interactive=False)
             chroot._mountall()

Comment 3 Clark Williams 2011-10-13 13:58:26 UTC
No, I haven't pushed yet. Possibly today...

Comment 4 Clark Williams 2011-10-13 18:29:29 UTC
Davi, 

Just pushed my 'work' branch up to the mock git tree.

Comment 5 Davi Arnaut 2011-10-14 13:22:13 UTC
Looks good.

Comment 6 Fedora Update System 2011-10-14 16:28:59 UTC
mock-1.1.16-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.16-1.fc15

Comment 7 Fedora Update System 2011-10-14 16:30:05 UTC
mock-1.0.23-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.23-1.el5

Comment 8 Fedora Update System 2011-10-14 16:31:08 UTC
mock-1.1.16-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.16-1.fc14

Comment 9 Fedora Update System 2011-10-14 16:32:08 UTC
mock-1.1.16-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.16-1.el6

Comment 10 Fedora Update System 2011-10-15 20:25:27 UTC
Package mock-1.1.16-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mock-1.1.16-1.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14382
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2011-10-24 22:59:57 UTC
mock-1.1.16-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-10-24 23:05:22 UTC
mock-1.1.16-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-11-01 15:41:00 UTC
mock-1.1.17-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.17-1.fc15

Comment 14 Fedora Update System 2011-11-01 15:42:17 UTC
mock-1.1.17-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mock-1.1.17-1.fc16

Comment 15 Fedora Update System 2011-11-01 15:43:29 UTC
mock-1.1.17-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.17-1.fc14

Comment 16 Fedora Update System 2011-11-01 15:44:59 UTC
mock-1.0.24-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.24-1.el5

Comment 17 Fedora Update System 2011-11-01 15:46:16 UTC
mock-1.1.17-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.17-1.el6

Comment 18 Fedora Update System 2011-11-11 01:23:14 UTC
mock-1.1.17-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2011-11-26 19:24:20 UTC
mock-1.1.17-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2011-11-26 19:25:42 UTC
mock-1.0.24-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2011-11-26 23:02:58 UTC
mock-1.1.17-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2011-11-26 23:07:08 UTC
mock-1.1.17-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.